Bug 253965 - [patch] security/i2pd: reseed certificates are not copied during installation
Summary: [patch] security/i2pd: reseed certificates are not copied during installation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-02 21:03 UTC by Vladislav V. Prodan
Modified: 2021-03-19 12:46 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
Makefile.patch (629 bytes, patch)
2021-03-02 21:03 UTC, Vladislav V. Prodan
no flags Details | Diff
pkg-plist (303 bytes, patch)
2021-03-02 21:03 UTC, Vladislav V. Prodan
no flags Details | Diff
i2pd.in.patch (384 bytes, patch)
2021-03-02 21:19 UTC, Vladislav V. Prodan
no flags Details | Diff
Patch (2.67 KB, patch)
2021-03-09 22:42 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladislav V. Prodan 2021-03-02 21:03:09 UTC
Created attachment 222925 [details]
Makefile.patch

reseed certificates are not copied during installation
Comment 1 Vladislav V. Prodan 2021-03-02 21:03:47 UTC
Created attachment 222926 [details]
pkg-plist
Comment 2 Vladislav V. Prodan 2021-03-02 21:19:17 UTC
Created attachment 222927 [details]
i2pd.in.patch

And this patch to do a soft reload of the daemon by INIT.
Comment 3 commit-hook freebsd_committer 2021-03-04 00:06:33 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Mar  4 00:05:37 UTC 2021
New revision: 567271
URL: https://svnweb.freebsd.org/changeset/ports/567271

Log:
  - Fix signal used in reload command

  PR:		253965
  Submitted by:	admin@support.od.ua
  MFH:		2021Q1

Changes:
  head/security/i2pd/Makefile
  head/security/i2pd/files/i2pd.in
Comment 4 Dmitry Marakasov freebsd_committer 2021-03-04 00:07:21 UTC
> reseed certificates are not copied during installation

What's the purpose of these and how are they used? I don't see them referenced from code or configs. Obviously this submission has plist problems (installed files not listed in plist, static files installed in /var).
Comment 5 commit-hook freebsd_committer 2021-03-04 00:07:34 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Mar  4 00:06:58 UTC 2021
New revision: 567272
URL: https://svnweb.freebsd.org/changeset/ports/567272

Log:
  MFH: r567271

  - Fix signal used in reload command

  PR:		253965
  Submitted by:	admin@support.od.ua

Changes:
_U  branches/2021Q1/
  branches/2021Q1/security/i2pd/Makefile
  branches/2021Q1/security/i2pd/files/i2pd.in
Comment 6 Dmitry Marakasov freebsd_committer 2021-03-04 00:07:47 UTC
(In reply to Vladislav V. Prodan from comment #2)
rc.d bit was committed.
Comment 7 Vladislav V. Prodan 2021-03-04 17:11:58 UTC
(In reply to Dmitry Marakasov from comment #4)

https://github.com/PurpleI2P/i2pd/blob/openssl/libi2pd/Reseed.cpp#L498
Comment 8 Vladislav V. Prodan 2021-03-04 17:13:03 UTC
(In reply to Vladislav V. Prodan from comment #7)

And here:
https://github.com/PurpleI2P/i2pd/blob/openssl/libi2pd/Reseed.cpp#L227-L276
Comment 9 Dmitry Marakasov freebsd_committer 2021-03-09 22:42:30 UTC
Created attachment 223134 [details]
Patch

Please try the attached patch
Comment 10 commit-hook freebsd_committer 2021-03-19 12:37:07 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Mar 19 12:37:04 UTC 2021
New revision: 568793
URL: https://svnweb.freebsd.org/changeset/ports/568793

Log:
  - Install reseed certificates [1]
  - Switch to upstream installation

  PR:		253965 [1]
  Submitted by:	admin@support.od.ua [1]

Changes:
  head/security/i2pd/Makefile
  head/security/i2pd/files/patch-libi2pd_Reseed.cpp
  head/security/i2pd/pkg-plist